﻿using System;
using System.IO;
using Xamarin.Forms;
using ListViewSqlite.Droid;

[assembly: Dependency(typeof(FileHelper))]

namespace ListViewSqlite.Droid
{
    public class FileHelper : IFileHelper
    {
        public string GetLocalFilePath(string filename)
        {
            string path = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            return Path.Combine(path, filename);
        }
    }
}