﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace ListViewSqlite
{
    public partial class App : Application
    {
        static CategoryItemDatabase database;
        public App()
        {
            InitializeComponent();

            MainPage = new ListViewSqlite.MainPage();
        }

        public static CategoryItemDatabase Database
        {
            get
            {
                if (database == null)
                {
                    database = new CategoryItemDatabase(DependencyService.Get<IFileHelper>().GetLocalFilePath("CategoriesTestDB.db3"));
                }
                return database;
            }
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
